%define name ZynAddSubFX
%define version 1.4.3
%define docver %version
%define release 2mdk

Summary: Real-time MIDI software synthesizer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %name-doc-%docver.tar.gz
Patch: ZynAddSubFX-1.2.0-makefile.patch.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://sourceforge.net/projects/zynaddsubfx
BuildRequires: libalsa-devel
BuildRequires: fltk-devel
BuildRequires: libfftw-devel
BuildRequires: libjack-devel

%description

A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.  It
includes randomness of some parameters,which makes warm sounds, like
analogue synthesizers.  The program has system/insertion effects, too.

%prep
%setup -q -a 1
%patch -p1
chmod 644 *.txt
mv %name-doc-%docver html
#use single precision fftw
for a in src/Make* ; do perl -pi -e 's/lrfftw/lsrfftw/' $a ; done
for a in src/Make* ; do perl -pi -e 's/lfftw/lsfftw/' $a ; done 

%build
cd src
make OPTFLAGS="%optflags"
cd ../ExternalPrograms/Spliter
export PATH=$PATH:.
./compile.sh
cd ../Controller/
./compile.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir %buildroot/%_menudir
cp src/zynaddsubfx %buildroot/%_bindir
cp ExternalPrograms/Spliter/spliter %buildroot/%_bindir
cp ExternalPrograms/Controller/controller %buildroot/%_bindir
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Multimedia/Sound"\
title="%name"\
longtitle="Real-time MIDI software synth"\
command="%_bindir/zynaddsubfx"\
icon="sound_section.png"
?package(%name):\
needs="x11"\
section="Multimedia/Sound"\
title="Spliter"\
longtitle="MIDI keyboard spliter for ZynAddSubFX"\
command="%_bindir/spliter"\
icon="sound_section.png"
?package(%name):\
needs="x11"\
section="Multimedia/Sound"\
title="Controller"\
longtitle="MIDI controller for ZynAddSubFX"\
command="%_bindir/controller"\
icon="sound_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples html *.txt ZynAddSubFX.lsm 
%doc  ExternalPrograms/Spliter/readme.txt
%_bindir/zynaddsubfx
%_bindir/spliter
%_bindir/controller
%_menudir/%name

%changelog
* Fri Sep 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-2mdk
- fix buildrequires
- fix fftw build, thanks to Torbjrn Turpeinen

* Sun Aug 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- drop prefix
- new version

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-2mdk
- small build fix

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- new version

* Thu May  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new version

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- new version

* Mon Apr  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new version

* Fri Mar 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- rediff the patch 
- new version

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.9-1mdk
- fix doc file list
- add Controller
- fix buildrequires
- new version

* Fri Feb 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.8-1mdk
- new version

* Fri Feb  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.7-1mdk
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- add spliter
- enable jack output
- patch configuration and optflags into Makefile
- new version

* Fri Jan 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- new version

* Sat Dec 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- initial package

